Bug 1289751 - Harden all packages: eclipse binaries are not hardened
Summary: Harden all packages: eclipse binaries are not hardened
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: harden-failure
TreeView+ depends on / blocked
 
Reported: 2015-12-08 21:23 UTC by Christian Stadelmann
Modified: 2018-10-06 10:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Christian Stadelmann 2015-12-08 21:23:19 UTC
Description of problem:
According to [1] packages should be hardened. eclipse binaries (executables, libraries) are not, according to checksec:

$ checksec --file /usr/lib64/eclipse/eclipse
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Partial RELRO   No canary found   NX enabled    No PIE          No RPATH   No RUNPATH   /usr/lib64/eclipse/eclipse

$ checksec --dir /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-atk-gtk-4528.so
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-awt-gtk-4528.so
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-cairo-gtk-4528.so
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-glx-gtk-4528.so
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-gtk-4528.so
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-pi3-gtk-4528.so
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-pi-gtk-4528.so
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-webkit-extension-4528.so
Partial RELRO   No canary found   NX enabled    DSO             No RPATH   No RUNPATH   /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.104.1.v20151128-1100/libswt-webkit-gtk-4528.so

Version-Release number of selected component (if applicable):
eclipse-platform-4.5.1-5.fc23.x86_64
eclipse-swt-4.5.1-5.fc23.x86_64

Additional info:
[1] https://fedoraproject.org//wiki/Changes/Harden_All_Packages

Comment 1 Fedora End Of Life 2016-11-24 14:04:44 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-02-28 09:51:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Christian Stadelmann 2018-10-06 10:38:02 UTC
This issue is still present in Fedora 29 Beta (eclipse-swt-4.9.0-2.fc29.x86_64).


Note You need to log in before you can comment on or make changes to this bug.